* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    margin: 0;
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    overflow: hidden;
    position: relative; 
}

#container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0; 
}

#background-vid {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    z-index: 0; 
    filter: brightness(1.2);
}

audio {
    mix-blend-mode: lighten;
    position: fixed;
    top: 60%;
    right: 20px;
    z-index: 4;
}

#glitch {
    width: 100%;
    height: 100%;
    position: absolute;
    opacity: 0.5;
    mix-blend-mode: multiply;
    z-index: 1; 
}

#grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr); 
    grid-template-rows: repeat(5, 1fr); 
    width: 100vw; 
    height: 100vh;
    position: relative;
    z-index: 2; 
}

.a, .b, .c, .d, .e {
    height: auto;
    width: 350px; 
    opacity: 0.8;
    position: relative; 
}

.a {
    grid-column: 1 / 3; 
    grid-row: 1 / 3; 
    z-index: 3; 
}

.b {
    grid-column: 2 / 4; 
    grid-row: 2 / 4; 
    z-index: 3; 
}

.c {
    grid-column: 3 / 5; 
    grid-row: 3 / 5;
    z-index: 3; 
}
.d {
    grid-column: 4 / 6; 
    grid-row: 4 / 6; 
    z-index: 3; 
}

.e {
    grid-column: 5 / 7 ; 
    grid-row: 5 / 6; 
    z-index: 3; 
    opacity: 0.9;
}

.water {
    position: absolute;
    top: 10px;
    right: 0%;
    opacity: 0.5;
    z-index: 4;
    filter: brightness(0.7);
}

.cam {
    position: absolute;
    top: 30px;
    right: 12%;
    opacity: 0.7;
    z-index: 4;
}
.stars {
    position: absolute;
    top: 10px;
    right: 17%;
    opacity: 0.8;
    z-index: 5;
}

.girl {
    position: absolute;
    top: 500px;
    left: 50px;
    opacity: 0.7;
    z-index: 3;
}

.snow {
    position: absolute;
    top: 575px;
    left: 200px;
    opacity: 0.7;
    z-index: 3;
}

.end {
    position: absolute;
    top: 650px;
    left: 350px;
    opacity: 0.8;
    z-index: 3;
}

.cat {
    position: absolute;
    bottom: 5px;
    left: 475px;
    opacity: 0.9;
    z-index: 3;
}

.live-button {
    position: absolute;
    bottom: 10px;
    left: 10px;
    z-index: 3;
}


@media (prefers-color-scheme: light) {
    body {
        background-color: rgb(152, 212, 255);
    }

    video {
        filter: brightness(1.2);
        z-index: 0;
    }

    /* Change Video */
    video source {
        content: url('media/daytime.mp4');
    }

    #glitch {
        content: url('media/color.gif');
        mix-blend-mode: luminosity;
        opacity: 0.2;
        z-index: 1;
    }

    audio {
        top: 55%;
        z-index: 4;
    }

    /* Change Images */
    .a, .b, .c, .d, .e {
        width: 230px;
        height: auto;
        opacity: 0.8;
    }
    .a {
        content: url('media/light4.JPG');
        
    }
    .b {
        content: url('media/light2.jpg');
        
    }
    .c {
        content: url('media/shanghai.jpg');
        
    }
    .d {
        content: url('media/light3.jpg');
        
    }
    .e {
        content: url('media/record.gif');
        height: auto;
        width: 230px;
        opacity: 0.8;
    }



    .girl{
        content: url('media/scene2.gif');
    }
    
    .snow{
        content: url('media/scene3.gif');
        opacity: 0.7;
    }

    .end{
        content: url('media/scene4.gif');
    }

    .cam{
        content: url('media/cam2.gif');
    }

    .water {
        filter: saturate(2);
    }

    .cat {
        content: url('media/cat2.gif');
        opacity: 0.7;
    }
}
